Subject: Re: Heather - what conditions?

From: [email-masked] (Don Bonner)
Date: Wed, 29 Mar 1995 07:10:04 GMT

In article <[email-masked]> [email-masked] (S. Plunkett) writes:

>My mom recieved a beautiful heather plant as a gift, and wants to know
>what kind of light/water conditions it needs to do well.

Full sun, Acid soil, moist but well drained.  She can mix 1/2 peat moss with 
1/2 topsoil when she plants it in her garden.  I hope the gift is for the 
garden as it does not do well at all in the house for any lenths of time.  To 
keep the plant dense and full she should shear it back right after it flowers.
Out here in Vancouver Island they are in full bloom right now. :)

*****************************************************************************
>From each according to their abilities.
To each according to their needs.
                                          [email-masked]
*****************************************************************************